export declare type ReportData = {
    context?: ReportDataContext;
    sourceFilesInfo?: SourceFilesInfo;
    filerecords?: FileRecord[];
};
export declare type SourceFilesInfo = {
    itemType?: string;
    dataSource?: string;
    path?: string;
    fileId?: string;
    fileName?: string;
    fileExists?: boolean;
    bimFileExists?: boolean;
    Files?: SourceFile[];
};
export declare type SourceFile = {
    fileId?: string;
    fileName?: string;
    path?: string;
    fileExists?: boolean;
    bimFileExists?: boolean;
    state?: string;
    iModelFileId?: string;
    failureReason?: string;
    [k: string]: unknown;
};
export declare type ReportDataContext = {
    reportType?: string;
    operationType?: string;
    jobid?: string;
    contextid?: string;
    imodelid?: string;
    activityid?: string;
    briefcaseid?: string;
    timestamp?: string;
};
export declare type FileRecord = {
    auditrecords?: AuditRecord[];
    file?: {
        identifier?: string;
        path?: string;
        [k: string]: unknown;
    };
};
export declare type AuditRecord = {
    auditinfo?: AuditInfo;
    elementinfo?: {
        ecinstanceid?: string;
        sourceid?: string;
    };
};
export declare type AuditInfo = {
    level?: 'Fatal' | 'Error' | 'Critical' | 'Warning' | 'Info';
    category?: string;
    message?: string;
    type?: string;
    fileName?: string;
    [k: string]: unknown;
};
